<?


define("ETTVIP","255.255.255.255"); // Everything will be bound to this ip
define("CONTROLPORT","17633");    // Port the deamon will listen for commands
define("CONTROLPASS","");   // Password needed for the control deamon
define("TRUSTIP1","255.255.255.255"); // Allows whitelisting of ip's to connect to ettvd - 255 works as wildcard.
                                      // By default connections are accepted from every ip


define("RECNAME","ETTVd Recorder");    // Recid will be appended
define("CLIENTNAME","ETTVd Slave");         // Recid will be appended
define("REPNAME","ETTVd Replayer"); // Default name if no special name is given for that repid - repid will be appended

define("REPNAME1","ETTVd Replayer ONE"); // Special name for Replayer 1
define("REPNAME2","ETTVd Replayer TWO"); // Special name for Replayer 2

define("RECDIR","/home/ettv/et");              // Dir the recorders ettv.x86 lies in
define("REPDIR","/home/ettv/et");              // Dir the replayers ettv.x86 lies in (usually the same as RECDIR)
define("DEMODIR","/home/ettv/et/demos");       // Dir the demos will be stored in (has to exist)

define("ETTV_DELAY",60);                       // Delay at live broadcasts maintained by the system - less than 60 is not allowed by gtv

// Change to your own colours, these look crap
define("C1","^9"); // Alternating colour - recessive
define("C2","^/"); // Alternating colour - highlights
define("C3","^7"); // Neutral colour
define("C4","^1"); // Alert colour

define("CLIVE","^1"); // LIVE colour
define("CSEMI","^8"); // Semilive colour
define("CREPL","^3"); // Replay colour


define('REP_1_SLOTS'  , 150);  // Total slots
define('REP_1_PRIVATE', 25); // Private slots
define('REP_1_PORT'   , 27960); // Port
define('REP_1_CONFIG' , '');  // Config (replayer.cfg if not set or empty)

// You can add as many initial replayers as you want by incrementing the number
// You may not skip numbers.

// define('REP_2_SLOTS', 150);
// define('REP_2_PRIVATE', 25);
// define('REP_2_PORT', 27960);
// define('REP_2_CONFIG', 'alternate.cfg');



// define("MAXREP", 2);                // Max replayers that can be spawned using the control interface
// define("MAXREPSLOT", 200);          // Max replayer slots that can be spawned using the control interface
// define("MAXREC", 3);                // Max recorders that can be spawned using the control interface


//*** Dont change anything below this line unless you know what you do ***
//***                                                                  ***

define("ANTISPAM_LONG", 300);
define("ANTISPAM_SHORT", 10);
define("ANTISPAM_LONGSCORE", 2);
define("ANTISPAM_SHORTSCORE", 20);
define("ANTISPAM_REPLIFETIME", 60);
define("ANTISPAM_REPSCORE", 25);
define("ANTISPAM_MUTESCORE", 100);
define("ANTISPAM_MUTEMULTI", 3);
define("ANTISPAM_MUTEBASE", 5);

define("READYNUM", 4);
define("PAUSEPERC", 1/2);
define("RESUMEPERC", 2/3);
define("AUTODISCTIME", 600);

define("NEXTLIVESTARTPLAYERS", 8);
define("NEXTLIVEINTERVAL", 60);
define("GAME_A_INTERVAL", 30);